Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Interface ParameterBindings

All Known Implementing Classes:
  PreparedStatement.EmulatedPreparedStatementBindings

    public interface ParameterBindings

Interface to allow PreparedStatement implementations to expose their parameter bindings to StatementInterceptors.

Method Summary
`java.sql.Array` | `getArray(int parameterIndex)`
`java.io.InputStream` | `getAsciiStream(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.io.InputStream` | `getBinaryStream(int parameterIndex)`
`java.sql.Blob` | `getBlob(int parameterIndex)`
`boolean` | `getBoolean(int parameterIndex)`
`byte` | `getByte(int parameterIndex)`
`byte[]` | `getBytes(int parameterIndex)`
`java.io.Reader` | `getCharacterStream(int parameterIndex)`
`java.sql.Clob` | `getClob(int parameterIndex)`
`java.sql.Date` | `getDate(int parameterIndex)`
`double` | `getDouble(int parameterIndex)`
`float` | `getFloat(int parameterIndex)`
`int` | `getInt(int parameterIndex)`
`long` | `getLong(int parameterIndex)`
`java.io.Reader` | `getNCharacterStream(int parameterIndex)`
`java.io.Reader` | `getNClob(int parameterIndex)`
`java.lang.Object` | `getObject(int parameterIndex)`
`java.sql.Ref` | `getRef(int parameterIndex)`
`short` | `getShort(int parameterIndex)`
`java.lang.String` | `getString(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`java.net.URL` | `getURL(int parameterIndex)`
`boolean` | `isNull(int parameterIndex)`

Method Detail

### getArray

    java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getAsciiStream

    java.io.InputStream getAsciiStream(int parameterIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBigDecimal

    java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBinaryStream

    java.io.InputStream getBinaryStream(int parameterIndex)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBlob

    java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBoolean

    boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getByte

    byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBytes

    byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCharacterStream

    java.io.Reader getCharacterStream(int parameterIndex)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getClob

    java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDate

    java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDouble

    double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFloat

    float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getInt

    int getInt(int parameterIndex)
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLong

    long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNCharacterStream

    java.io.Reader getNCharacterStream(int parameterIndex)
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNClob

    java.io.Reader getNClob(int parameterIndex)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObject

    java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRef

    java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getShort

    short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getString

    java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTime

    java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getTimestamp

    java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getURL

    java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isNull

    boolean isNull(int parameterIndex)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD